CREATE TABLE LogTmCostoVen ( 
IdUsuario VARCHAR(5) NOT NULL,
Item INT DEFAULT ((0)) NOT NULL,
IdProducto VARCHAR(16) NOT NULL,
Descripcion VARCHAR(500) NOT NULL,
Cantidad DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
UndMed VARCHAR(10) DEFAULT ('br') NOT NULL,
VrUnitario DECIMAL(16,6) DEFAULT ((0)) NOT NULL,
TipFact VARCHAR(3) NOT NULL,
NumFactura INT DEFAULT ((0)) NOT NULL,
IdCiaFact CHAR(2) NOT NULL,
ItemFact INT DEFAULT ((0)) NOT NULL,
FechaFact SMALLDATETIME NOT NULL,
TipGuia VARCHAR(3),
NumGuia INT DEFAULT ((0)) NOT NULL,
IdCiaGuia CHAR(2),
FechaGuia SMALLDATETIME,
IdCliente VARCHAR(16) NOT NULL,
IdAgencia VARCHAR(16),
IdVehiculo VARCHAR(10),
TipoProd VARCHAR(10) NOT NULL,
CdCCosto VARCHAR(16),
CdSubCos VARCHAR(16),
IdSubgrupo VARCHAR(8),
Unidad VARCHAR(50),
Producto VARCHAR(150),
NomCliente VARCHAR(150)
 CONSTRAINT PK_LogTmCostoVen PRIMARY KEY CLUSTERED (IdUsuario,Item),
 CONSTRAINT CK_LogTmCostoVenDescripcion CHECK ((len([Descripcion])>(0))),
 CONSTRAINT CK_LogTmCostoVenIdCiaFact CHECK ((len([IdCiaFact])>(0))),
 CONSTRAINT CK_LogTmCostoVenIdCliente CHECK ((len([IdCliente])>(0))),
 CONSTRAINT CK_LogTmCostoVenIdProducto CHECK ((len([IdProducto])>(0))),
 CONSTRAINT CK_LogTmCostoVenIdUsuario CHECK ((len([IdUsuario])>(0))),
 CONSTRAINT CK_LogTmCostoVenTipFact CHECK ((len([TipFact])>(0))),
 CONSTRAINT CK_LogTmCostoVenTipoProd CHECK ((len([TipoProd])>(0))),
 CONSTRAINT CK_LogTmCostoVenUndMed CHECK ((len([UndMed])>(0))))
GO
ALTER TABLE LogTmTraslados ADD Producido DECIMAL(16,6) DEFAULT(0) NOT NULL,CantVehTnsto DECIMAL(16,6) DEFAULT(0) NOT NULL,CantBrutoDesp DECIMAL(16,6) DEFAULT(0) NOT NULL
,CantNetoDesp DECIMAL(16,6) DEFAULT(0) NOT NULL,CantTraDesp DECIMAL(16,6) DEFAULT(0) NOT NULL
GO
